/* CSS Variables */
:root {
    --primary: #ddd;
    --dark: #333;
    --light: #fff;
    --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
  }
  
  html {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--dark);
  }
  
  body {
    background: #ccc;
    margin: 30px 50px;
    line-height: 1.4;
  }
  
  .add-cart {
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  

  .button{
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  img {
    max-width: 100%;
  }
  
  .wrapper {
    display: grid;
    grid-gap: 20px;
  }
  
  /* Navigation */
  .main-nav ul {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    list-style: none;
    grid-template-columns: repeat(3, 1fr);
  }
  
  .main-nav a {
    background: var(--primary);
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    text-align: center;
    color: var(--dark);
    text-transform: uppercase;
    font-size: 1.1rem;
    box-shadow: var(--shadow);
  }
  
  .main-nav a:hover {
    background: var(--dark);
    color: var(--light);
  }
  
  /* Boxes */
  .container{
    width: 100%;
    height: 710px;
    background-color: rgba(19, 13, 16, 0.836);
    display: flex;
    justify-content: center;
    z-index: 1;
}


  
  .iphone {
    background-color: white;
    margin: 10px;
    height: 690px;
    width: 340px;
    box-shadow: 0 1px 5px -1px rgba(0, 0, 0, 0.3),
      inset 0 0 0 1px rgba(0, 0, 0, 0.15);
    overflow: hidden;
    position: relative;
    z-index: 2;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    border-radius: 50px;
  }
  
  .wrapper {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    opacity: 1;
  }
  
  .title-bar {
    display: flex;
    align-items: center;
    padding: 20px 0 10px 60px;
    height: 10%;
  }
  
  .close {
    width: 17px;
    height: 17px;
  }
  
  .title {
    font-size: 1rem;
    margin-left: 50px;
    font-weight: 500;
  }
  
  .trans-summary {
    display: flex;
    height: 80%;
    flex-direction: column;
    justify-content: space-around;
  }
  
  .trans-wrapper {
    display: flex;
    height: 80%;
    margin: 0 60px;
    flex-direction: column;
    justify-content: space-around;
  }
  
  .trans-item {
    border-bottom: 1px solid #eaedf3;
  }
  
  .trans-label {
    font-size: 0.8rem;
    font-weight: 300;
    margin-bottom: 5px;
    color:#95979B;
  }
  
  .trans-value {
    font-size: 0.9rem;
    font-weight: 300;
    margin-bottom: 10px;
    transform-origin:top left;
  }
  
  .amount {
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 10px;
    display:inline-block;
    transform-origin:top left;
    letter-spacing: 1px;
  }
  
  .btn-wrapper {
    height: 15%;
  }
  .next {
    margin-left: 20px;
    height: 55px;
    width: 160px;
    text-align: left;
    padding-left: 15px;
    font-weight: 500;
    font-size: 1rem;
    background-color: #eaedf3;
    border: 0;
    border-radius: 7px;
    pointer: default;
  }
  
  .next::after {
    content: "\27F6";
    margin-left: 10px;
  }
  
  .next:focus {
    outline: none;
  }
  
 
  /* Ripple effect */
  .ripple {
    background-position: center;
    transition: background 0.8s;
  }
  .ripple:hover {
    background: #ABADB1 radial-gradient(circle, transparent 1%, #ABADB1 1%) center/15000%;
  }
  .ripple:active {
    background-color: #eaedf3;
    background-size: 100%;
    transition: background 0s;
  }
  
  .final-order-summary {
    opacity:0;
    position:absolute;
    top:255px;
    left:52px;
  }
  
  .order-summary-row {
    margin: 5px;
  }
  
  .order-summary-row span:first-child {
    color:#95979B
  }
  
  .done {
    opacity:0;
    position:absolute;
    top: 570px;
    left: 155px;
  }
  
  a {
      color: #3273dc;
      cursor: pointer;
      text-decoration: none;
      font-size: 1rem;
  }
  
  a:hover {
      color: #1e57b4;
  }

    /* Footer */
    footer {
        margin-top: 2rem;
        background: var(--dark);
        color: var(--light);
        text-align: center;
        padding: 1rem;
      }
  
  /* Media Queries */
  @media (max-width: 700px) {
    .top-container {
      grid-template-areas:
        'showcase showcase'
        'top-box-a top-box-b';
    }
  
    .showcase h1 {
      font-size: 2.5rem;
    }
  
    .main-nav ul {
      grid-template-columns: 1fr;
      width:50%;
    }
  
    .info {
      grid-template-columns: 1fr;
    }
  
    .info .btn {
      display: block;
      text-align: center;
      margin: auto;
    }
  
    .box{
      max-width: 700px;
    }
    .box-header{
      max-width: 700px;
      grid-template-areas:
      'product-title'
      'price'
      'quantity'
      'total';
    }
    footer{
      width:50%;
    }

    .textareaa{
      width: 95%;
    }
  }
  
  @media (max-width: 500px) {

    }
  }
